"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPath = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const core_1 = require("@oclif/core");
const assetsPath = path_1.default.resolve(__dirname, '..', '..', 'assets');
const remotionPath = path_1.default.resolve(__dirname, '..', '..', 'video');
const getPath = async (pathname) => {
    const config = await core_1.Config.load();
    switch (pathname) {
        case 'content':
            const contentPath = path_1.default.resolve(config.dataDir, 'content');
            if (!fs_1.default.existsSync(contentPath)) {
                fs_1.default.mkdirSync(contentPath, { recursive: true });
            }
            return contentPath;
        case 'assets':
            return assetsPath;
        case 'tmp':
            const tmpPath = path_1.default.resolve(config.cacheDir, 'tmp');
            if (!fs_1.default.existsSync(tmpPath)) {
                fs_1.default.mkdirSync(tmpPath, { recursive: true });
            }
            return tmpPath;
        case 'remotion':
            return remotionPath;
        default:
            throw new Error(`Unknown path: ${pathname}`);
    }
};
exports.getPath = getPath;
