"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Main = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const remotion_1 = require("remotion");
const Title_1 = require("./Podcast/Title");
const AudioWaveform_1 = require("./Podcast/AudioWaveform");
const Transition_1 = require("./Podcast/Transition");
const Logo_1 = require("./Podcast/Logo");
const Intro_1 = require("./Podcast/Intro");
const index_1 = require("./Wrappers/index");
const { withoutIntro } = remotion_1.getInputProps();
const Main = ({ textProps, date, title }) => {
    const frame = remotion_1.useCurrentFrame();
    const { fps, durationInFrames } = remotion_1.useVideoConfig();
    const finishContentEarlierInFrames = 50;
    const transitionDurationInFrames = 2.9 * fps;
    const showWrapperOnIndex = textProps.length > 2
        ? Math.floor(remotion_1.random(title) * (textProps.length - 2 - 2) + 2) //Valor randomico entre 2 e (quantidade de noticias - final - ultima noticia)
        : -1; //If have less then 2 news will not show wrapper
    const opacity = remotion_1.interpolate(frame, [durationInFrames - 30, durationInFrames - 10], [1, 0], {
        extrapolateLeft: 'clamp',
        extrapolateRight: 'clamp',
    });
    let initialFrame = 10;
    let nextInitialFrame = initialFrame;
    return (jsx_runtime_1.jsx("div", Object.assign({ style: {
            flex: 1,
            background: '#0C2D48',
        } }, { children: jsx_runtime_1.jsx("div", Object.assign({ style: { opacity } }, { children: textProps.map((prop, index) => {
                const textDuration = Math.round(prop.duration * fps);
                initialFrame = nextInitialFrame;
                nextInitialFrame =
                    initialFrame +
                        transitionDurationInFrames +
                        textDuration;
                console.log(textDuration);
                if (index === 0 && !withoutIntro) {
                    return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsxs(remotion_1.Sequence, Object.assign({ from: initialFrame, durationInFrames: textDuration }, { children: [jsx_runtime_1.jsx(Intro_1.Intro, { date: date, audioFilePath: prop.audioFilePath, title: title }, void 0),
                                    jsx_runtime_1.jsx(Logo_1.Logo, {}, void 0)] }), `${initialFrame}-Intro`),
                            index < textProps.length - 1 ? (jsx_runtime_1.jsx(remotion_1.Sequence, Object.assign({ from: initialFrame + textDuration, durationInFrames: transitionDurationInFrames }, { children: jsx_runtime_1.jsx(Transition_1.Transition, {}, void 0) }), `${initialFrame}-Transition`)) : null] }, void 0));
                }
                return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsx(remotion_1.Sequence, Object.assign({ from: initialFrame, durationInFrames: textDuration }, { children: jsx_runtime_1.jsxs(index_1.Wrapper, Object.assign({ title: title, show: index === showWrapperOnIndex }, { children: [jsx_runtime_1.jsx(Logo_1.Logo, {}, void 0),
                                    jsx_runtime_1.jsx(Title_1.Title, { titleText: prop.text, finishContentEarlierInFrames: finishContentEarlierInFrames }, void 0),
                                    jsx_runtime_1.jsx(AudioWaveform_1.AudioWaveform, { audioFilePath: prop.audioFilePath }, void 0)] }), void 0) }), `${initialFrame}-Title`),
                        index < textProps.length - 1 ? (jsx_runtime_1.jsx(remotion_1.Sequence, Object.assign({ from: initialFrame + textDuration, durationInFrames: transitionDurationInFrames }, { children: jsx_runtime_1.jsx(Transition_1.Transition, {}, void 0) }), `${initialFrame}-Transition`)) : null] }, void 0));
            }) }), void 0) }), void 0));
};
exports.Main = Main;
