"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logo = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const remotion_1 = require("remotion");
const Avatar_png_1 = tslib_1.__importDefault(require("../../../assets/Avatar.png"));
const Logo = () => {
    const videoConfig = remotion_1.useVideoConfig();
    const frame = remotion_1.useCurrentFrame();
    const orientation = videoConfig.width > videoConfig.height ? 'landscape' : 'portrait';
    const logoEntry = remotion_1.spring({
        fps: videoConfig.fps,
        from: -150,
        to: orientation === 'landscape' ? 30 : 50,
        frame,
        config: {
            mass: 0.8,
            damping: 10,
        },
    });
    return (jsx_runtime_1.jsxs("div", Object.assign({ style: {
            marginTop: logoEntry,
            marginLeft: orientation === 'landscape' ? 30 : 100,
            display: 'flex',
            width: 'fit-content',
            height: 'fit-content',
            alignItems: 'center',
            backgroundColor: '#3F6182',
            padding: '20px 30px',
            borderRadius: 10,
        } }, { children: [jsx_runtime_1.jsx("img", { src: Avatar_png_1.default, width: videoConfig.width / 20, height: videoConfig.width / 20, style: {
                    borderRadius: 50,
                    boxShadow: '0px 0px 30px -10px rgba(0,0,0,0.75)',
                    marginRight: 15,
                } }, void 0),
            jsx_runtime_1.jsx("h1", Object.assign({ style: {
                    fontFamily: 'Nunito',
                    color: '#fff',
                    fontSize: 40,
                } }, { children: "CodeStack" }), void 0)] }), void 0));
};
exports.Logo = Logo;
