"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemotionVideo = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const remotion_1 = require("remotion");
const Main_1 = require("./Main");
const Thumbnail_1 = require("./Thumbnail");
require("../../assets/fonts.css");
const handle = remotion_1.delayRender();
const { filename } = remotion_1.getInputProps();
const loadFromTmp_1 = tslib_1.__importDefault(require("./utils/loadFromTmp"));
async function loadData() {
    if (filename) {
        return await loadFromTmp_1.default(filename);
    }
}
const RemotionVideo = () => {
    const [data, setData] = react_1.useState();
    const fetchData = async () => {
        const json = await loadData();
        setData(json);
        remotion_1.continueRender(handle);
    };
    react_1.useEffect(() => {
        fetchData();
    }, []);
    if (!data) {
        return null;
    }
    return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsx(remotion_1.Composition, { id: "Main", component: Main_1.Main, durationInFrames: Math.floor(data.fullDuration * data.fps), fps: data.fps, width: data.width, height: data.height, defaultProps: {
                    textProps: data.renderData,
                    title: data.title,
                    date: data.date,
                } }, void 0),
            jsx_runtime_1.jsx(remotion_1.Composition, { id: "Thumbnail", component: Thumbnail_1.Thumbnail, durationInFrames: 1, fps: data.fps, width: data.width, height: data.height, defaultProps: {
                    title: data.title,
                    date: data.date,
                } }, void 0)] }, void 0));
};
exports.RemotionVideo = RemotionVideo;
