"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function measureLetter(letter, font, fontSize, fontWeight) {
    const canvas = document.createElement('canvas');
    const context = canvas.getContext('2d');
    if (!context) {
        throw new Error('Could not get canvas context');
    }
    context.font = `${fontWeight} ${fontSize}px ${font}`;
    const metrics = context.measureText(letter);
    return { width: metrics.width, height: metrics.actualBoundingBoxAscent + metrics.actualBoundingBoxDescent };
}
exports.default = measureLetter;
